Name:		rtctl
Version:	1.7
Release:	1%{?dist}
Summary:	Scripts for controlling scheduling priorities of system threads
Group:		Applications/System
License:	GPL
BuildArch:	noarch
Source0:	rtctl
Source1:	rtgroups
Source2:	rtctl.init
Source3:	rtctl.1
Source4:	rtgroups.5
Source5:	rtctl.sysconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:	set_kthread_prio <= 1.0.1
Provides:	set_kthread_prio

%description
rtctl is a set of scripts used to manipulate the scheduling priorities of
groups of system threads.

%prep
%setup -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .
cp %{SOURCE5} .

%build
gzip rtctl.1 rtgroups.5

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 rtctl $RPM_BUILD_ROOT/usr/sbin/rtctl
install -D -m 644 rtgroups $RPM_BUILD_ROOT/etc/rtgroups
install -D -m 755 rtctl.init $RPM_BUILD_ROOT/etc/rc.d/init.d/rtctl
install -D -m 644 rtctl.1.gz $RPM_BUILD_ROOT/usr/share/man/man1/rtctl.1.gz
install -D -m 644 rtgroups.5.gz $RPM_BUILD_ROOT/usr/share/man/man5/rtgroups.5.gz
install -D -m 755 rtctl.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/rtctl 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(0755, root, root) /usr/sbin/rtctl
%config(noreplace) /etc/rtgroups
%config(noreplace) /etc/sysconfig/rtctl
/etc/rc.d/init.d/rtctl
/usr/share/man/man1/rtctl.1.gz
/usr/share/man/man5/rtgroups.5.gz

%post
/sbin/chkconfig rtctl on

%preun
if [ "$1" = "0" ] ; then # uninstall
/sbin/chkconfig rtctl off
fi

%changelog
* Tue Aug 18 2009 Clark Williams <williams@redhat.com> 1.7-1
- add /etc/sysconfig/rtctl for config parameters
- add check for cpuspeed to init script
- rewrite of initscript logic for service checks

* Tue Aug 18 2009 Clark Williams <williams@redhat.com> 1.6-1
- changed NFS kthread prios to be below sirq priorities
- changed init script to use system functions

* Sat Aug  9 2008 Arnaldo Carvalho de Melo <acme@redhat.com> 1.5-1
- Added support for SMP affinities
- older files continue to work assuming '*' for affinity

* Thu Jul 24 2008 Clark Williams <williams@redhat.com> 1.4-1
- reworked priorities in /etc/rtgroups (BZ 432718)
- fixed assumption that irqbalance is always installed in rtctl.init

* Mon May 12 2008 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.3-3
- check if irqbalance is running, stop if and disable it (chkconfig off)
- implement IBM request of lowering rtprios of softirq and softirq-rcu from 50
  to 30

* Thu Apr 29 2008 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.3-2
- fixed upgrade logic - now rtctl is enabled after an update

* Wed Apr 23 2008 Clark Williams <williams@redhat.com> 1.3-1
- backed out kjournald entry in rtgroups (leave as default for now)

* Thu Apr 10 2008 Clark Williams <williams@redhat.com> 1.2-2
- removed posix_cpu_timer
- fixed regexs for softirq-net-[rt]x and hardirq
- added '*' scheduler type for "don't change this thread's policy"
- brought back kthread group with '*' policy

* Thu Apr 10 2008 Luis Claudio R. Goncalves <lgoncalv@redhat.com> 1.2-1
- leave kthreads with default sched policy and priority
- commented out kthreads and krcupreemptd lines
- kjournald is now SCHED_FIFO rtprio 1 (testing)
- added support for IRQ- and IRQ_ hard IRQ naming
- added support to softirq and sirq naming convention
- decreased by 10 rtprio for kthreads with prios bettwen 90 and 98

* Fri May 25 2007 Mark Salter <msalter@redhat.com> - 1.1-2
- updated rtgroups

* Tue May 01 2007 Mark Salter <msalter@redhat.com> - 1.1-1
- updated man page
- added awk code in do_show() for performance

* Tue Apr 17 2007 Clark Williams <williams@redhat.com> - 1.0-1
- inital packaging

